<?php
require_once (get_template_directory() . '/theme-options.php');
if (!isset($content_width))
    $content_width = 640;
add_action('after_setup_theme', 'clearstyle_setup');
if (!function_exists('clearstyle_setup')):

    function clearstyle_setup() {
        add_editor_style();
        add_theme_support('post-thumbnails');
        add_theme_support('automatic-feed-links');
        load_theme_textdomain('clearstyle', TEMPLATEPATH . '/languages');
        $locale = get_locale();
        $locale_file = TEMPLATEPATH . "/languages/$locale.php";
        if (is_readable($locale_file))
            require_once( $locale_file );
        register_nav_menus(array(
            'primary' => __('Primary Navigation', 'clearstyle'),
        ));
        add_custom_background();
        define('HEADER_TEXTCOLOR', '');
        define('HEADER_IMAGE', '%s/images/headers/sky.jpg');
        define('HEADER_IMAGE_WIDTH', apply_filters('clearstyle_header_image_width', 980));
        define('HEADER_IMAGE_HEIGHT', apply_filters('clearstyle_header_image_height', 248));
        set_post_thumbnail_size(HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true);
        define('NO_HEADER_TEXT', true);
        add_custom_image_header('', 'clearstyle_admin_header_style');
        register_default_headers(array(
            'sky' => array(
                'url' => '%s/images/headers/sky.jpg',
                'thumbnail_url' => '%s/images/headers/sky-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Sky and kids with hats', 'clearstyle')),
            'beach' => array(
                'url' => '%s/images/headers/beach.jpg',
                'thumbnail_url' => '%s/images/headers/beach-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Beach', 'clearstyle')),
            'cooking' => array(
                'url' => '%s/images/headers/cooking.jpg',
                'thumbnail_url' => '%s/images/headers/cooking-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Cooking', 'clearstyle')),
            'landscape' => array(
                'url' => '%s/images/headers/landscape.jpg',
                'thumbnail_url' => '%s/images/headers/landscape-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Landscape', 'clearstyle')),
            'leaf' => array(
                'url' => '%s/images/headers/leaf.jpg',
                'thumbnail_url' => '%s/images/headers/leaf-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Leaf', 'clearstyle')),
            'leaves' => array(
                'url' => '%s/images/headers/leaves.jpg',
                'thumbnail_url' => '%s/images/headers/leaves-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Leaves', 'clearstyle')),
            'light' => array(
                'url' => '%s/images/headers/light.jpg',
                'thumbnail_url' => '%s/images/headers/light-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Light', 'clearstyle')),
            'planet' => array(
                'url' => '%s/images/headers/planet.jpg',
                'thumbnail_url' => '%s/images/headers/planet-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Planet', 'clearstyle')),
            'tree' => array(
                'url' => '%s/images/headers/tree.jpg',
                'thumbnail_url' => '%s/images/headers/tree-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Tree', 'clearstyle')),
            'wood' => array(
                'url' => '%s/images/headers/wood.jpg',
                'thumbnail_url' => '%s/images/headers/wood-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Wood', 'clearstyle')),
            'writer' => array(
                'url' => '%s/images/headers/writer.jpg',
                'thumbnail_url' => '%s/images/headers/writer-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Writer', 'clearstyle')),
            'sea' => array(
                'url' => '%s/images/headers/sea.jpg',
                'thumbnail_url' => '%s/images/headers/sea-thumbnail.jpg',
                /* translators: header image description */
                'description' => __('Sea', 'clearstyle'))
        ));
    }

endif;
if (!function_exists('clearstyle_admin_header_style')) :

    function clearstyle_admin_header_style() {
?>
        <style type="text/css">
            #headimg {
                border-bottom: 1px solid #000;
                border-top: 4px solid #000;
            }
        </style>
<?php
    }

endif;

function clearstyle_page_menu_args($args) {
    $args['show_home'] = true;
    return $args;
}

add_filter('wp_page_menu_args', 'clearstyle_page_menu_args');

function clearstyle_excerpt_length($length) {
    return 40;
}

add_filter('excerpt_length', 'clearstyle_excerpt_length');

function clearstyle_continue_reading_link() {
    return ' <a href="' . get_permalink() . '">' . __('Continue reading', 'clearstyle') . '</a>';
}

function clearstyle_auto_excerpt_more($more) {
    return ' &hellip;' . clearstyle_continue_reading_link();
}

add_filter('excerpt_more', 'clearstyle_auto_excerpt_more');

function clearstyle_custom_excerpt_more($output) {
    if (has_excerpt() && !is_attachment()) {
        $output .= clearstyle_continue_reading_link();
    }
    return $output;
}

add_filter('get_the_excerpt', 'clearstyle_custom_excerpt_more');

function clearstyle_remove_gallery_css($css) {
    return preg_replace("#<style type='text/css'>(.*?)</style>#s", '', $css);
}

add_filter('gallery_style', 'clearstyle_remove_gallery_css');
if (!function_exists('clearstyle_comment')) :

    function clearstyle_comment($comment, $args, $depth) {
        $GLOBALS['comment'] = $comment;
        switch ($comment->comment_type) :
            case '' :
?>
                <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
                    <div id="comment-<?php comment_ID(); ?>">
                        <div class="comment-author vcard">
            <?php echo get_avatar($comment, 40); ?>
<?php printf(__('%s <span class="says">says:</span>', 'clearstyle'), sprintf('<cite class="fn">%s</cite>', get_comment_author_link())); ?>
            </div>
<?php if ($comment->comment_approved == '0') : ?>
                    <em><?php _e('Your comment is awaiting moderation.', 'clearstyle'); ?></em>
                    <br />
<?php endif; ?>

                    <div class="comment-meta commentmetadata"><a href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
<?php printf(__('%1$s at %2$s', 'clearstyle'), get_comment_date(), get_comment_time()); ?></a><?php edit_comment_link(__('(Edit)', 'clearstyle'), ' '); ?>
            </div>

            <div class="comment-body"><?php comment_text(); ?></div>

            <div class="reply">
<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                </div>
            </div>

    <?php
                    break;
                case 'pingback' :
                case 'trackback' :
    ?>
                <li class="post pingback">
                    <p><?php _e('Pingback:', 'clearstyle'); ?> <?php comment_author_link(); ?><?php edit_comment_link(__('(Edit)', 'clearstyle'), ' '); ?></p>
    <?php
                    break;
            endswitch;
        }

    endif;

    function clearstyle_widgets_init() {
        register_sidebar(array(
            'name' => __('First Footer Widget Area', 'clearstyle'),
            'id' => 'first-footer-widget-area',
            'description' => __('The first footer widget area', 'clearstyle'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Second Footer Widget Area', 'clearstyle'),
            'id' => 'second-footer-widget-area',
            'description' => __('The second footer widget area', 'clearstyle'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Third Footer Widget Area', 'clearstyle'),
            'id' => 'third-footer-widget-area',
            'description' => __('The third footer widget area', 'clearstyle'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Fourth Footer Widget Area', 'clearstyle'),
            'id' => 'fourth-footer-widget-area',
            'description' => __('The fourth footer widget area', 'clearstyle'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
    }

    add_action('widgets_init', 'clearstyle_widgets_init');

    function clearstyle_remove_recent_comments_style() {
        global $wp_widget_factory;
        remove_action('wp_head', array($wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style'));
    }

    add_action('widgets_init', 'clearstyle_remove_recent_comments_style');

    if (!function_exists('clearstyle_posted_on')) :

        function clearstyle_posted_on() {
            echo '<a title="' . esc_attr(get_the_time()) . '" href="' . get_permalink() . '">';
            echo '<span class="clearstyle_c_day">' . get_the_date('j') . '</span>';
            echo '<span class="clearstyle_c_month">' . get_the_date('F') . '</span>';
            echo '<span class="clearstyle_c_year">' . get_the_date('Y') . '</span>';
            echo '</a>';
        }

    endif;

    if (!function_exists('clearstyle_posted_in')) :

        function clearstyle_posted_in() {
            $tag_list = get_the_tag_list('', ', ');
            if ($tag_list) {
                $posted_in = __('This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'clearstyle');
            } elseif (is_object_in_taxonomy(get_post_type(), 'category')) {
                $posted_in = __('This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'clearstyle');
            } else {
                $posted_in = __('Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'clearstyle');
            }
            printf(
                    $posted_in,
                    get_the_category_list(', '),
                    $tag_list,
                    get_permalink(),
                    the_title_attribute('echo=0')
            );
        }

    endif;


